{"info":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","description":"<html><head></head><body><p>HTTP-based API to interact with Ayako</p>\n<h3 id=\"authorization\"><strong>Authorization</strong></h3>\n<p>Authorization is either a <code>Bearer</code> or a <code>Bot</code> Token</p>\n<p><strong>Do not use your Discord Bot's Token as Authorization Token</strong></p>\n<p>Obtain a Token at <a href=\"https://ayakobot.com/@me\">https://ayakobot.com/@me</a> (if it exists yet)</p>\n<h3 id=\"typescript-types\">TypeScript Types</h3>\n<p>All endpoint response types are available at <a href=\"https://github.com/AyakoBot/Server\">GitHub.</a></p>\n</body></html>","schema":"https://schema.getpostman.com/json/collection/v2.0.0/collection.json","toc":[],"owner":"17898470","collectionId":"ef8c7f20-c699-42e6-bf2d-724feac5d521","publishedId":"2sA3rzLYtY","public":true,"customColor":{"top-bar":"FFFFFF","right-sidebar":"303030","highlight":"FF6C37"},"publishDate":"2024-08-07T20:18:13.000Z"},"item":[{"name":"v1","item":[{"name":"Short-URLs","item":[{"name":"get short urls","id":"4f219246-70cc-40c6-8e5d-af15cd1b3afc","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/short-urls","description":"<p>Returns all short URLs of the user</p>\n<h3 id=\"response-body\">Response Body</h3>\n<p>The response body is of type <code>ShortURL[]</code></p>\n<h3 id=\"shorturl\">ShortURL</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>string</td>\n<td>ID of the short URL (wzxy.org/ID)</td>\n</tr>\n<tr>\n<td>forward</td>\n<td>string</td>\n<td>URL this short URL forwards to</td>\n</tr>\n<tr>\n<td>uses</td>\n<td>number</td>\n<td>amount of uses</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["@me","short-urls"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[],"_postman_id":"4f219246-70cc-40c6-8e5d-af15cd1b3afc"},{"name":"get short url uses","id":"a025f6aa-1639-4200-b63b-10f61c3c0442","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/short-urls/:id/uses","description":"<p>Returns the uses of a short URL</p>\n<h3 id=\"path-variables\">Path Variables</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>string</td>\n<td>ID of the short URL</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response body is of type <code>ShortURLUse[]</code></p>\n<h3 id=\"short-url-use\">Short URL Use</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>string</td>\n<td>ID of the short URL (wzxy.org/ID)</td>\n</tr>\n<tr>\n<td>timestamp</td>\n<td>number</td>\n<td>UNIX timestamp in milliseconds of when the URL was used</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["@me","short-urls",":id","uses"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<string>","key":"id"}]}},"response":[],"_postman_id":"a025f6aa-1639-4200-b63b-10f61c3c0442"}],"id":"d774e109-715a-449a-9856-3dcb1b88983b","_postman_id":"d774e109-715a-449a-9856-3dcb1b88983b","description":"","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}}},{"name":"Self","item":[{"name":"get self","id":"4b0d3157-d85b-4933-88e1-c4ae6f7d34f3","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me","description":"<p>Returns information about the user with the corresponding <code>Bearer</code> or <code>Bot</code> token.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th><strong>Value Type</strong></th>\n<th>Value Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the users ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the users name</td>\n</tr>\n<tr>\n<td>avatar</td>\n<td>string?</td>\n<td>a URL to the users avatar</td>\n</tr>\n<tr>\n<td>votereminders</td>\n<td>boolean</td>\n<td>whether the user has vote-reminders enabled</td>\n</tr>\n<tr>\n<td>socials</td>\n<td>Social[]</td>\n<td>a list of socials connected to the user</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"social\">Social</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>url</td>\n<td>string</td>\n<td>URL of the linked social</td>\n</tr>\n<tr>\n<td>type</td>\n<td>string</td>\n<td>the socials name (like \"Discord\" or \"GitHub\")</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"63461477-70d7-43f8-8c78-2527cc358e15","id":"63461477-70d7-43f8-8c78-2527cc358e15","name":"Self","type":"folder"}},"urlObject":{"path":["@me"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"106ecabe-645a-4334-ad3a-526d4c6f5303","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"id\": \"650691698409734151\",\r\n    \"name\": \"Ayako\",\r\n    \"avatar\": \"https://cdn.discordapp.com/avatars/650691698409734151/9ca4ad70d8ef529d31a3ec03923bddcb.webp\",\r\n    \"socials\": [\r\n        {\r\n            \"url\": \"https://ayakobot.com\",\r\n            \"type\": \"AyakoBot.com\"\r\n        },\r\n        {\r\n            \"url\": \"https://github.com/AyakoBot\",\r\n            \"type\": \"GitHub\"\r\n        }\r\n    ],\r\n    \"votereminders\": true\r\n}"},{"id":"b84b63b5-1e4c-4044-8f6c-d0b957eb374d","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me"},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"4b0d3157-d85b-4933-88e1-c4ae6f7d34f3"},{"name":"generate API token","id":"50a15c71-9a7f-47d7-a1fe-202c83e2130f","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[],"url":"https://api.ayakobot.com/v1/@me/auth/generate","description":"<p>Generates an API token.<br />If the user already had an API token generated earlier it will be invalidated and replaced.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Descriptíon</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>token</td>\n<td>string</td>\n<td>the access token</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"63461477-70d7-43f8-8c78-2527cc358e15","id":"63461477-70d7-43f8-8c78-2527cc358e15","name":"Self","type":"folder"}},"urlObject":{"path":["@me","auth","generate"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"4e26f74a-d64f-4d0e-9a3d-e36dd98354d1","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/auth/generate"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\r\n    \"token\": \"MzE4NDUzMTQzNDc2MzcxNDU2.H4M0WNQ.XBWDGryN69_RKOBkMJU0kIPP2TzKf0USvhV6zb0w4QBia\"\r\n}"},{"id":"bfe14139-c350-4f76-9970-8ea26573d643","name":"Unauthorized","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/auth/generate"},"status":"Unauthorized","code":401,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"f251e5cd-607b-443e-b9e4-2ed0617f1531","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/auth/generate"},"status":"Forbidden","code":403,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\n    \"message\": \"<string>\"\n}"}],"_postman_id":"50a15c71-9a7f-47d7-a1fe-202c83e2130f"},{"name":"get guilds","id":"c3ad899d-5a8d-420c-8c59-01bef0755a36","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/guilds","description":"<p>Returns a list of guilds the user is member ofo</p>\n<h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>Guild[]</code></p>\n<h3 id=\"guild\">Guild</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th>Value Type</th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>hasBot</td>\n<td>boolean</td>\n<td>whether the guild has Ayako added</td>\n</tr>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>ID of the guild</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>name of the guild</td>\n</tr>\n<tr>\n<td>icon</td>\n<td>string?</td>\n<td>icon hash of the guild</td>\n</tr>\n<tr>\n<td>banner</td>\n<td>string?</td>\n<td>banner hash of the guild</td>\n</tr>\n<tr>\n<td>owner</td>\n<td>boolean</td>\n<td>whether the user is owner of this guild</td>\n</tr>\n<tr>\n<td>features</td>\n<td><a href=\"https://discord-api-types.dev/api/discord-api-types-v10/enum/GuildFeature\">GuildFeature</a>[]</td>\n<td>features this guild has access to</td>\n</tr>\n<tr>\n<td>permissions</td>\n<td><a href=\"https://discord.com/developers/docs/topics/permissions\">Permissions</a></td>\n<td>permissions of the user in this guild</td>\n</tr>\n<tr>\n<td>approximate_member_count</td>\n<td>number?</td>\n<td>rough estimate of amount of members this guild has</td>\n</tr>\n<tr>\n<td>approximate_presence_count</td>\n<td>number?</td>\n<td>rough estimate of amount of presences this guild has</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"63461477-70d7-43f8-8c78-2527cc358e15","id":"63461477-70d7-43f8-8c78-2527cc358e15","name":"Self","type":"folder"}},"urlObject":{"path":["@me","guilds"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[],"_postman_id":"c3ad899d-5a8d-420c-8c59-01bef0755a36"}],"id":"63461477-70d7-43f8-8c78-2527cc358e15","description":"<p>For data related to the user/bot sending the request</p>\n","auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":false},"event":[{"listen":"prerequest","script":{"id":"b203a781-a874-455f-b018-4e4c01bd3a8d","type":"text/javascript","packages":{},"exec":[""]}},{"listen":"test","script":{"id":"c6df5b2f-01d1-4a90-8a02-548576b1f0b7","type":"text/javascript","packages":{},"exec":[""]}}],"_postman_id":"63461477-70d7-43f8-8c78-2527cc358e15"},{"name":"Appeals","item":[{"name":"get appealable guilds","id":"fae485c9-c18a-4d8c-aa0f-dd27ab845ee1","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/appeals/guilds","description":"<p>Returns a list of appealable guilds the user making the request is in.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>appealEnabled</td>\n<td>AppealGuild[]</td>\n<td>list of guilds the user can send appeals to</td>\n</tr>\n<tr>\n<td>otherMutuals</td>\n<td>AppealGuild[]</td>\n<td>list of guilds the users can not send appeals to</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"appeal-guild\">Appeal Guild</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the guilds ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the guilds name</td>\n</tr>\n<tr>\n<td>icon</td>\n<td>string?</td>\n<td>an image hash to the guilds icon</td>\n</tr>\n<tr>\n<td>banner</td>\n<td>string?</td>\n<td>an image hash to the guilds banner</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["@me","appeals","guilds"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"f3b40b69-1e37-4e76-a2b6-90435b97d85c","name":"OK","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/appeals/guilds"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"appealEnabled\": [\r\n        {\r\n            \"id\": \"298954459172700181\",\r\n            \"name\": \"Animekos | Anime ❀ Social ❀ Ayako\",\r\n            \"icon\": \"a_2a945cea66c917f525df699e08f315e6\",\r\n            \"banner\": \"afc4e3d92f6230c58240df79e263c186\"\r\n        },\r\n        {\r\n            \"id\": \"669893888856817665\",\r\n            \"name\": \"Ayako's Hideout\",\r\n            \"icon\": null,\r\n            \"banner\": null\r\n        }\r\n    ],\r\n    \"otherMutuals\": []\r\n}"},{"id":"b2d239f7-4db0-46e2-b5b7-1f25ab8eacd8","name":"Forbidden","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/appeals/guilds"},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"fae485c9-c18a-4d8c-aa0f-dd27ab845ee1"},{"name":"post appeal","id":"1b77e89d-4f66-42fd-bd74-ca2ddcab896d","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":false},"method":"POST","header":[],"body":{"mode":"raw","raw":"{\r\n    \"<string>\": \"<string>\",\r\n\r\n    // key = question Id\r\n    // value = stringified answer\r\n\r\n    // # Examples:\r\n    \"1\": \"<on,off,true,false>\", // boolean\r\n    \"2\": \"[\\\"<string>\\\"]\", // single_choice\r\n    \"3\": \"[\\\"<string>\\\",\\\"<string>\\\"]\", // multiple_choice\r\n    \"4\": \"<number>\", // number\r\n    \"5\": \"<string>\" // short / paragraph \r\n}","options":{"raw":{"language":"json"}}},"url":"https://api.ayakobot.com/v1/punishments/:punishmentId/appeal","description":"<p>Creates an appeal for a punishment.</p>\n<h3 id=\"path-variables\">Path Variables</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>punishmentId</td>\n<td>integer</td>\n<td>the ID of the punishment</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"request-body\">Request Body</h3>\n<p>The request body consists of <code>Record</code>.<br />The key of the record represents a question id and the value the stringified response.</p>\n<h4 id=\"answer-types\"><a href=\"#9c515b55-671d-4d20-8563-255f03ef6ec9\">Answer Types</a></h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Type</strong></th>\n<th><strong>Accepted Values</strong></th>\n<th><strong>Example</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>boolean</td>\n<td>true, false, on, off</td>\n<td>\"true\"</td>\n</tr>\n<tr>\n<td>single_choice</td>\n<td>[\\\"\\\"]</td>\n<td>\"[\\\"foo\\\"]\"</td>\n</tr>\n<tr>\n<td>multiple_choice</td>\n<td>[\\\"\\\",\\\"\\\"]</td>\n<td>\"[\\\"foo\\\",\\\"bar\\\"]\"</td>\n</tr>\n<tr>\n<td>number</td>\n<td>number</td>\n<td>\"1\"</td>\n</tr>\n<tr>\n<td>short</td>\n<td>string</td>\n<td>\"bar\"</td>\n</tr>\n<tr>\n<td>paragraph</td>\n<td>string</td>\n<td>\"baz\"</td>\n</tr>\n<tr>\n<td>text</td>\n<td></td>\n<td></td>\n</tr>\n</tbody>\n</table>\n</div><p>Questions of type <code>text</code> cannot be answered.<br /><code>Short</code> and <code>Paragraph</code> can be up to 2,000 letters long.</p>\n","urlObject":{"path":["punishments",":punishmentId","appeal"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<int>","key":"punishmentId"}]}},"response":[{"id":"cebd3ff0-2f8a-42ba-ad62-09695d319edc","name":"Created","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"POST","header":[{"key":"Content-Type","value":"application/json","type":"text"}],"body":{"mode":"raw","raw":"{\r\n    \"1727691172746\": \"on\", // boolean\r\n    \"1727691172747\": \"true\", // boolean\r\n    \"1727691172748\": \"off\", // boolean\r\n    \"1727691172749\": \"false\", // boolean\r\n    \"1727691172740\": \"[\\\"foo\\\"]\", // single_choice\r\n    \"1727691172741\": \"[\\\"foo\\\",\\\"bar\\\"]\", // multiple_choice\r\n    \"1727691172742\": \"5\", // number\r\n    \"1727691142743\": \"foo\", // paragraph\r\n    \"1727691142744\": \"bar\" // short\r\n}","options":{"raw":{"language":"json"}}},"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/appeal","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","appeal"],"variable":[{"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Created","code":201,"_postman_previewlanguage":null,"header":null,"cookie":[],"responseTime":null,"body":null},{"id":"fbbd26f0-1a6f-45fe-9bc7-af6a40754569","name":"Bad Request","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"POST","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/appeal","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","appeal"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"20aada73-78bf-4faf-b390-bc18c3774299","name":"Unauthorized","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"POST","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/appeal","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","appeal"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Unauthorized","code":401,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"ea22d4e3-3a14-4402-b326-511fb01717df","name":"Forbidden","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"POST","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/appeal","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","appeal"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"1b77e89d-4f66-42fd-bd74-ca2ddcab896d"},{"name":"get appeal questions","id":"09ec3984-aae3-47dc-8757-1cc3bc288945","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","description":"<p>Returns the punishment appeal's questions.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>Question[]</code>.<br />Find type definitions at <a href=\"#594667ed-fcb0-4d09-94f4-0797cae69674\">GET appeal questions</a>.</p>\n","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["guilds",":guildId","settings","appeal-questions"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"49171d7e-e84f-491c-8f47-29e0984ecae1","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"guildid\": \"298954459172700181\",\r\n        \"id\": 1716238435819,\r\n        \"active\": true,\r\n        \"question\": \"How will you improve your Behaviour in the Future?\",\r\n        \"answertype\": \"paragraph\",\r\n        \"required\": true,\r\n        \"options\": []\r\n    },\r\n    {\r\n        \"guildid\": \"298954459172700181\",\r\n        \"id\": 1716238435817,\r\n        \"active\": true,\r\n        \"question\": \"What do you want to appeal?\",\r\n        \"answertype\": \"multiple_choice\",\r\n        \"required\": false,\r\n        \"options\": [\"A Channel-Ban\", \"A Ban\"]\r\n    }\r\n]"},{"id":"7c6711f3-8077-4351-b1d0-912fdc5a11aa","name":"Not Found","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"3e05b009-a5a3-438b-b2a3-5eafaa1084ef","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"5032c74d-a68a-4cc2-91c0-5c4cb012cd3b","name":"Unauthorized","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Unauthorized","code":401,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"09ec3984-aae3-47dc-8757-1cc3bc288945"},{"name":"get appeal status","id":"6dfd33b7-c8e5-473d-a71a-7264c31d72f6","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/punishments/:punishmentId/status","description":"<p>Returns the appeals status.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>punishmentId</td>\n<td>integer</td>\n<td>the ID of the punishment</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>status</td>\n<td><a href=\"#04837df8-e82a-46f9-9fe6-4dab2cd3993f\">AppealStatus</a></td>\n<td>the status of the appeal</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["punishments",":punishmentId","status"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<int>","key":"punishmentId"}]}},"response":[{"id":"6727a5f4-b211-4993-b3df-02ef34a10b0b","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/status","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","status"],"variable":[{"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"status\": \"pending\"\r\n}"},{"id":"967866fd-2fec-46fc-b0de-c6559935aaf1","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/status","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","status"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"4b5b2efc-f217-4f22-97e7-eebc4dfa3b33","name":"Not Found","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId/status","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId","status"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"6dfd33b7-c8e5-473d-a71a-7264c31d72f6"}],"id":"1c253cc0-b820-4910-bb12-0c19a04eef27","description":"<p>Requests related to punishment appeals</p>\n","_postman_id":"1c253cc0-b820-4910-bb12-0c19a04eef27","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}}},{"name":"Guilds","item":[{"name":"get guilds","id":"29bdd309-98b3-4727-b01d-fb7a14c1ce31","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"noauth","isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds?take=<int,null>&skip=<int,null>&leastMemberCount=<int,null>&q=<string,null>","description":"<p>Returns a list of guilds based on the provided filters.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>take</td>\n<td>integer?</td>\n<td>the amount of guilds to return (max <code>1000</code>)</td>\n</tr>\n<tr>\n<td>skip</td>\n<td>integer?</td>\n<td>the amount of guilds to skip</td>\n</tr>\n<tr>\n<td>leastMemberCount</td>\n<td>integer?</td>\n<td>the minimum amount of members to filter the guilds by</td>\n</tr>\n<tr>\n<td>q</td>\n<td>string?</td>\n<td>a string to filter the guild names by</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>GuildPreview[]</code>.</p>\n<h4 id=\"guild-preview\">Guild Preview</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildid</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the guilds ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the guilds name</td>\n</tr>\n<tr>\n<td>icon</td>\n<td>string?</td>\n<td>a URL to the guilds icon</td>\n</tr>\n<tr>\n<td>banner</td>\n<td>string?</td>\n<td>a URL to the guilds banner</td>\n</tr>\n<tr>\n<td>invite</td>\n<td>string?</td>\n<td>the guilds vanity invite URL</td>\n</tr>\n<tr>\n<td>membercount</td>\n<td>number?</td>\n<td>the guilds amount of members</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["guilds"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"take","value":"<int,null>"},{"id":1,"key":"skip","value":"<int,null>"},{"id":2,"key":"leastMemberCount","value":"<int,null>"},{"id":3,"key":"q","value":"<string,null>"}],"variable":[]}},"response":[{"id":"ff78d595-0a1e-4c2e-8170-ca1fbc80abf1","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds?take=<int,null>&skip=<int,null>&leastMemberCount=<int,null>&q=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds"],"query":[{"key":"take","value":"<int,null>"},{"key":"skip","value":"<int,null>"},{"key":"leastMemberCount","value":"<int,null>"},{"key":"q","value":"<string,null>"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"guildid\": \"298954459172700181\",\r\n        \"name\": \"Animekos | Anime ❀ Social ❀ Ayako\",\r\n        \"icon\": \"https://cdn.discordapp.com/icons/298954459172700181/a_2a945cea66c917f525df699e08f315e6.gif\",\r\n        \"banner\": \"https://cdn.discordapp.com/banners/298954459172700181/afc4e3d92f6230c58240df79e263c186.webp\",\r\n        \"invite\": \"animekos\",\r\n        \"membercount\": 67584\r\n    },\r\n    {\r\n        \"guildid\": \"669893888856817665\",\r\n        \"name\": \"Ayaok's Hideout\",\r\n        \"icon\": null,\r\n        \"banner\": null,\r\n        \"invite\": null,\r\n        \"membercount\": 17\r\n    }\r\n]"},{"id":"b3f2cab0-5288-4e88-b41c-db4ffc6b2ff9","name":"Bad Request","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds?take=<int,null>&skip=<int,null>&leastMemberCount=<int,null>&q=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds"],"query":[{"key":"take","value":"<int,null>","type":"text","id":0},{"key":"skip","value":"<int,null>","type":"text","id":1},{"key":"leastMemberCount","value":"<int,null>","type":"text","id":2},{"key":"q","value":"<string,null>","type":"text","id":3}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"29bdd309-98b3-4727-b01d-fb7a14c1ce31"},{"name":"get guild","id":"83d93346-e7a9-4a21-b26f-e93c18664763","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"noauth","isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId","description":"<p>Returns details for a guild.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response\">Response</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th><strong>Value Type</strong></th>\n<th>Value Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>banner</td>\n<td>string?</td>\n<td>a URL to the guilds banner</td>\n</tr>\n<tr>\n<td>features</td>\n<td>string[]</td>\n<td>the guilds features</td>\n</tr>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the guilds ID</td>\n</tr>\n<tr>\n<td>icon</td>\n<td>string?</td>\n<td>a URL to the guilds icon</td>\n</tr>\n<tr>\n<td>invite</td>\n<td>string?</td>\n<td>the guilds vanity invite URL</td>\n</tr>\n<tr>\n<td>memberCount</td>\n<td>integer</td>\n<td>the guilds member count</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the guilds name</td>\n</tr>\n<tr>\n<td>presenceCount</td>\n<td>integer?</td>\n<td>the guilds presence count (only supplied at 10k+ members)</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["guilds",":guildId"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"0e751bb7-0c92-4db0-881c-2e71fe4a3f26","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"banner\": null,\r\n    \"features\": [\r\n        \"AUTO_MODERATION\",\r\n        \"CHANNEL_ICON_EMOJIS_GENERATED\",\r\n        \"GUILD_ONBOARDING_HAS_PROMPTS\",\r\n        \"NEWS\",\r\n        \"GUILD_SERVER_GUIDE\",\r\n        \"GUILD_ONBOARDING\",\r\n        \"SOUNDBOARD\",\r\n        \"COMMUNITY\",\r\n        \"GUILD_ONBOARDING_EVER_ENABLED\"\r\n    ],\r\n    \"id\": \"669893888856817665\",\r\n    \"icon\": \"https://cdn.discordapp.com/icons/669893888856817665/186138abe2d087b115e985df6cb6f9eb.webp\",\r\n    \"invite\": null,\r\n    \"memberCount\": 21,\r\n    \"name\": \"Ayako's Hideout\",\r\n    \"presenceCount\": null\r\n}"},{"id":"43203bd9-0870-48c2-a3f5-7c72495de45b","name":"Bad Request","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"92339007-46a7-4341-aca9-fb6ed6f2c829","name":"Not Found","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"83d93346-e7a9-4a21-b26f-e93c18664763"},{"name":"get guild roles","id":"24d0c753-c293-4683-9fe7-bd43eeae0d5b","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/roles","description":"<p>Returns the roles of a guild.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response\">Response</h3>\n<p>The response body will be of type <code>Role[]</code></p>\n<h3 id=\"role\">Role</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th><strong>Value Type</strong></th>\n<th>Value Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the roles ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the name of the role</td>\n</tr>\n<tr>\n<td>color</td>\n<td>integer</td>\n<td>the color of the role as integer</td>\n</tr>\n<tr>\n<td>hoist</td>\n<td>boolean</td>\n<td>whether the role is hoisted</td>\n</tr>\n<tr>\n<td>icon_url</td>\n<td>string?</td>\n<td>the url to this role's icon</td>\n</tr>\n<tr>\n<td>unicode_emoji</td>\n<td>string?</td>\n<td>the unicode emoji of this role</td>\n</tr>\n<tr>\n<td>position</td>\n<td>integer</td>\n<td>the position of this role</td>\n</tr>\n<tr>\n<td>permissions</td>\n<td>string</td>\n<td>the permissions of this role as bit string</td>\n</tr>\n<tr>\n<td>managed</td>\n<td>boolean</td>\n<td>whether this role is managed</td>\n</tr>\n<tr>\n<td>mentionable</td>\n<td>boolean</td>\n<td>whether this role can be mentioned</td>\n</tr>\n<tr>\n<td>guild_id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the guild ID of the guild this role belongs to</td>\n</tr>\n<tr>\n<td>tags</td>\n<td><a href=\"https://discord.com/developers/docs/topics/permissions#role-object-role-tags-structure\">RoleTags</a></td>\n<td>the tags of this role</td>\n</tr>\n<tr>\n<td>flags</td>\n<td><a href=\"https://discord.com/developers/docs/topics/permissions#role-object-role-flags\">RoleFlags</a></td>\n<td>the flags of this role</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["guilds",":guildId","roles"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"d689e79d-e844-42b6-b555-85ab2675768d","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","protocol":"https","host":["api","ayakobot","com"],"path":["v1","guilds",":guildId"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"unicode_emoji\": null,\r\n        \"tags\": {\r\n            \"bot_id\": \"650691698409734151\"\r\n        },\r\n        \"position\": 180,\r\n        \"permissions\": \"8804682812662\",\r\n        \"name\": \"Snow Queen Ayako\",\r\n        \"mentionable\": true,\r\n        \"managed\": true,\r\n        \"id\": \"670020358086066199\",\r\n        \"hoist\": true,\r\n        \"flags\": 0,\r\n        \"color\": 11599616,\r\n        \"guild_id\": \"298954459172700181\",\r\n        \"icon_url\": \"https://cdn.discordapp.com/role-icons/670020358086066199/1973311c8bd3832b7f4913fad5fa57dc.webp\"\r\n    }\r\n]"},{"id":"957b541c-7e85-4f74-9375-e3111d296746","name":"Bad Request","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"d4b269bc-a3e2-4a4d-8ca1-7b23e9059250","name":"Not Found","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"e4d21a12-7f55-4312-bb9c-bd4a4fc259f1","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/roles","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","roles"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[{"expires":"Invalid Date","domain":"","path":""}],"responseTime":null,"body":"{\n    \"message\": \"<string>\"\n}"}],"_postman_id":"24d0c753-c293-4683-9fe7-bd43eeae0d5b"},{"name":"get guild channels","id":"5a88765c-cd52-485e-aca7-c6f90c525427","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/channels?types=<ChannelType|undefined>","description":"<p>Returns the roles of a guild.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response\">Response</h3>\n<p>The response body will be of type <code>Channel[]</code></p>\n<h3 id=\"channel\">Channel</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th><strong>Value Type</strong></th>\n<th>Value Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the channels ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the name of the channel</td>\n</tr>\n<tr>\n<td>guild_id</td>\n<td>string</td>\n<td>the guild ID of the guild this channel belongs to</td>\n</tr>\n<tr>\n<td>type</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#channel-object-channel-types\">ChannelType</a></td>\n<td>the type of the channel</td>\n</tr>\n<tr>\n<td>permission_overwrites</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#overwrite-object\">PermissionOverwrite</a>[]</td>\n<td>the permission overwrites of the channel</td>\n</tr>\n<tr>\n<td>position</td>\n<td>integer</td>\n<td>the position of this channel</td>\n</tr>\n<tr>\n<td>parent_id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a>?</td>\n<td>the ID of the parent of this channel</td>\n</tr>\n<tr>\n<td>nsfw</td>\n<td>boolean</td>\n<td>whether the channel is marked as nsfw</td>\n</tr>\n<tr>\n<td>rate_limit_per_user</td>\n<td>integer</td>\n<td>the user ratelimit in seconds</td>\n</tr>\n<tr>\n<td>default_auto_archive_duration</td>\n<td>integer?</td>\n<td>the default auto archive duration of threads created in this channel</td>\n</tr>\n<tr>\n<td>default_thread_rate_limit_per_user</td>\n<td>integer?</td>\n<td>the default user ratelimit in threads created in this channel</td>\n</tr>\n<tr>\n<td>topic</td>\n<td>string?</td>\n<td>the channel topic</td>\n</tr>\n<tr>\n<td>bitrate</td>\n<td>bitrate?</td>\n<td>the bitrate (in bits) of this channel</td>\n</tr>\n<tr>\n<td>user_limit</td>\n<td>integer?</td>\n<td>the max amount of users in this channel</td>\n</tr>\n<tr>\n<td>rtc_region</td>\n<td>string?</td>\n<td>the voice region of this channel</td>\n</tr>\n<tr>\n<td>video_quality_mode</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#channel-object-video-quality-modes\">VideoQualityMode</a></td>\n<td>the video quality mode of the channel</td>\n</tr>\n<tr>\n<td>last_pin_timestamp</td>\n<td>ISO8601 timestamp?</td>\n<td>the ISO timestamp of the last pin in this channel</td>\n</tr>\n<tr>\n<td>available_tags</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#forum-tag-object\">Tag</a>[]</td>\n<td>list of available tags in this channel</td>\n</tr>\n<tr>\n<td>default_reaction_emoji</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#default-reaction-object\">DefaultReactionEmoji</a></td>\n<td>the default reaction emoji for threads in this channel</td>\n</tr>\n<tr>\n<td>default_sort_order</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#channel-object-sort-order-types\">DefaultSortOrder</a></td>\n<td>the default sort order of threads in this channel</td>\n</tr>\n<tr>\n<td>default_forum_layout</td>\n<td><a href=\"https://discord.com/developers/docs/resources/channel#channel-object-forum-layout-types\">DefaultForumLayout</a></td>\n<td>the default forum layout of threads in this channel</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["guilds",":guildId","channels"],"host":["https://api.ayakobot.com/v1"],"query":[{"description":{"content":"<p><a href=\"https://discord.com/developers/docs/resources/channel#channel-object-channel-types\">https://discord.com/developers/docs/resources/channel#channel-object-channel-types</a></p>\n","type":"text/plain"},"key":"types","value":"<ChannelType|undefined>"}],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"7f264cfa-f674-43cf-bbb0-0884007c75af","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","protocol":"https","host":["api","ayakobot","com"],"path":["v1","guilds",":guildId"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"unicode_emoji\": null,\r\n        \"tags\": {\r\n            \"bot_id\": \"650691698409734151\"\r\n        },\r\n        \"position\": 180,\r\n        \"permissions\": \"8804682812662\",\r\n        \"name\": \"Snow Queen Ayako\",\r\n        \"mentionable\": true,\r\n        \"managed\": true,\r\n        \"id\": \"670020358086066199\",\r\n        \"hoist\": true,\r\n        \"flags\": 0,\r\n        \"color\": 11599616,\r\n        \"guild_id\": \"298954459172700181\",\r\n        \"icon_url\": \"https://cdn.discordapp.com/role-icons/670020358086066199/1973311c8bd3832b7f4913fad5fa57dc.webp\"\r\n    }\r\n]"},{"id":"58884a30-9331-4c56-80d6-e1aa17d034a0","name":"Bad Request","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"5237a305-07ce-40b1-ba75-2550e58f09bf","name":"Not Found","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"c2c7d648-2d70-45c8-a7c8-30d5308570d3","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/channels?types=<ChannelType|undefined>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","channels"],"query":[{"key":"types","value":"<ChannelType|undefined>","description":"https://discord.com/developers/docs/resources/channel#channel-object-channel-types"}],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\n    \"message\": \"<string>\"\n}"}],"_postman_id":"5a88765c-cd52-485e-aca7-c6f90c525427"},{"name":"get leaderboard","id":"7ce282e9-bbf5-4401-940c-3a2eb0f611b2","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"noauth","isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/lb?take=<int,null>&skip=<int,null>","description":"<p>Returns a guilds leaderboard.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>take</td>\n<td>integer?</td>\n<td>the amount of entries to return (max <code>100</code>)</td>\n</tr>\n<tr>\n<td>skip</td>\n<td>integer?</td>\n<td>the amount of entries to skip</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response will be of type <code>Level[]</code></p>\n<h4 id=\"level\">Level</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>xp</td>\n<td>integer</td>\n<td>the users XP</td>\n</tr>\n<tr>\n<td>level</td>\n<td>integer</td>\n<td>the users level</td>\n</tr>\n<tr>\n<td>multiplier</td>\n<td>number</td>\n<td>the users current level multiplier</td>\n</tr>\n<tr>\n<td>user</td>\n<td>LevelUser</td>\n<td>the user</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"level-user\">Level User</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the users ID</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the users name</td>\n</tr>\n<tr>\n<td>avatar</td>\n<td>string?</td>\n<td>a URL to the users avatar</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["guilds",":guildId","lb"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"take","value":"<int,null>"},{"id":1,"key":"skip","value":"<int,null>"}],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"a6e5102f-dde2-43cd-bd59-d0ec9e65aa68","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/lb?take=<int,null>&skip=<int,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","lb"],"query":[{"key":"take","value":"<int,null>"},{"key":"skip","value":"<int,null>"}],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"xp\": 100,\r\n        \"level\": 1,\r\n        \"multiplier\": 1,\r\n        \"user\": {\r\n            \"id\": \"776493966341570591\",\r\n            \"name\": \"Ayako Dev Version\",\r\n            \"avatar\": \"https://cdn.discordapp.com/avatars/776493966341570591/a24ff80c1fa597b27fa1a5023264308c.webp\"\r\n        }\r\n    },\r\n    {\r\n        \"xp\": 1,\r\n        \"level\": 0,\r\n        \"multiplier\": 1,\r\n        \"user\": {\r\n            \"id\": \"318453143476371456\",\r\n            \"name\": \"lars_und_so\",\r\n            \"avatar\": \"https://cdn.discordapp.com/avatars/318453143476371456/88210272e98a942384d69eaa3a9ae89c.webp\"\r\n        }\r\n    },\r\n]"},{"id":"0ac4c308-ed98-4d05-ae8b-cc6d120da266","name":"Bad Request","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/lb?take=<int,null>&skip=<int,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","lb"],"query":[{"key":"take","value":"<int,null>","type":"text","id":0},{"key":"skip","value":"<int,null>","type":"text","id":1}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"7ce282e9-bbf5-4401-940c-3a2eb0f611b2"}],"id":"bef34836-2a9c-462d-8bc4-8700515451da","description":"<p>Guild related endpoints</p>\n","_postman_id":"bef34836-2a9c-462d-8bc4-8700515451da","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}}},{"name":"Punishments","item":[{"name":"get punishments","id":"20d17b97-edea-4023-b8e0-ec2fe2bbeab5","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"bearer","bearer":{"basicConfig":[{"key":"token","value":"Bearer <value>"}]},"isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/@me/punishments?guildId=<snowflake,null>","description":"<p>Returns a list of the user's punishments.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the guild to filter the punishments by</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response will be of type <code>Punishment[]</code>.</p>\n<h4 id=\"punishment\">Punishment</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>appealed</td>\n<td>boolean</td>\n<td>whether the punishment has already been appealed</td>\n</tr>\n<tr>\n<td>type</td>\n<td><a href=\"#c74d39cf-27a1-45f4-9e59-54f6056eca2d\">PunishmenType</a></td>\n<td>the punishments type</td>\n</tr>\n<tr>\n<td>reason</td>\n<td>string</td>\n<td>the punishments reason</td>\n</tr>\n<tr>\n<td>id</td>\n<td>integer</td>\n<td>the punishments ID</td>\n</tr>\n<tr>\n<td>channel</td>\n<td>Channel</td>\n<td>the punishments channel</td>\n</tr>\n<tr>\n<td>duration</td>\n<td>integer?</td>\n<td>the punishments duration (in seconds)</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"channel\">Channel</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the channels name</td>\n</tr>\n<tr>\n<td>id</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the channels ID</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["@me","punishments"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"guildId","value":"<snowflake,null>"}],"variable":[]}},"response":[{"id":"fc649b66-59c6-4f3c-bfdd-8628f8a26c72","name":"OK","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/@me/punishments?guildId=<snowflake,null>","host":["https://api.ayakobot.com/v1"],"path":["@me","punishments"],"query":[{"key":"guildId","value":"<snowflake,null>"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"appealed\": true,\r\n        \"type\": \"bans\",\r\n        \"reason\": \"foo\",\r\n        \"id\": 1727691172746,\r\n        \"channel\": {\r\n            \"name\": \"general\",\r\n            \"id\": \"298954459172700181\"\r\n        },\r\n        \"duration\": null\r\n    },\r\n    {\r\n        \"appealed\": false,\r\n        \"type\": \"tempmutes\",\r\n        \"reason\": \"bar\",\r\n        \"id\": 1727691172736,\r\n        \"channel\": {\r\n            \"name\": \"general\",\r\n            \"id\": \"298954459172700181\"\r\n        },\r\n        \"duration\": 3600000\r\n    }\r\n]"},{"id":"11e39ec7-2e9f-40f1-9a1a-0eac820e20a1","name":"Bad Request","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/@me/punishments?guildId=<snowflake,null>","host":["https://api.ayakobot.com/v1"],"path":["@me","punishments"],"query":[{"key":"guildId","value":"<snowflake,null>","id":0}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"f9bdb5f8-f844-4e71-9e6b-9f60ef4d0925","name":"Unauthorized","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/@me/punishments?guildId=<snowflake,null>","host":["https://api.ayakobot.com/v1"],"path":["@me","punishments"],"query":[{"key":"guildId","value":"<snowflake,null>","id":0}]}},"status":"Unauthorized","code":401,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"446ce70f-38cd-474f-a8c2-d56cda3bc81c","name":"Forbidden","originalRequest":{"auth":{"type":"bearer","bearer":{"token":"Bearer <value>"}},"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/@me/punishments?guildId=<snowflake,null>","host":["https://api.ayakobot.com/v1"],"path":["@me","punishments"],"query":[{"key":"guildId","value":"<snowflake,null>","id":0}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"20d17b97-edea-4023-b8e0-ec2fe2bbeab5"},{"name":"get punishment","id":"abf003d1-658d-4734-8b44-dab4035e6092","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/punishments/:punishmentId","description":"<p>Returns a specific punishment.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>punishmentId</td>\n<td>integer</td>\n<td>the ID of the punishment</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response will be of type <code>Punishment</code>.<br />For type definitions see <a href=\"#20d17b97-edea-4023-b8e0-ec2fe2bbeab5\">GET punishments</a>.</p>\n","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["punishments",":punishmentId"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<int>","key":"punishmentId"}]}},"response":[{"id":"f714bbb7-82b3-490a-b512-b14ff7121308","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId"],"variable":[{"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"appealed\": false,\r\n    \"type\": \"tempmutes\",\r\n    \"reason\": \"bar\",\r\n    \"id\": 1727691172736,\r\n    \"channel\": {\r\n        \"name\": \"general\",\r\n        \"id\": \"298954459172700181\"\r\n    },\r\n    \"duration\": 3600000\r\n}"},{"id":"2978312c-e992-4a4e-8837-a7e9eb8ae12c","name":"Bad Request","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"efae5b9a-c8dd-48b5-8328-e9659d920b28","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"828c2ce5-95af-4afa-85da-efca86372b19","name":"Unauthorized","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Unauthorized","code":401,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"750cdd33-cbff-44ce-9746-f2079b9cb824","name":"Not Found","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/punishments/:punishmentId","host":["https://api.ayakobot.com/v1"],"path":["punishments",":punishmentId"],"variable":[{"id":0,"key":"punishmentId","value":"<int>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"abf003d1-658d-4734-8b44-dab4035e6092"}],"id":"c0935ed7-9d95-4262-8b44-f3655a5d162d","description":"<p>Punishment related endpoints</p>\n","_postman_id":"c0935ed7-9d95-4262-8b44-f3655a5d162d","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}}},{"name":"QOTD","item":[{"name":"get qotd","id":"0b4e18a6-34fd-4183-91fb-29e14ffdd927","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"auth":{"type":"noauth","isInherited":false},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/qotd","description":"<p>Returns today's question of the day.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>question</td>\n<td>string</td>\n<td>the question</td>\n</tr>\n</tbody>\n</table>\n</div>","urlObject":{"path":["qotd"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"757ef549-686c-4899-872b-ead894e282de","name":"OK","originalRequest":{"auth":{"type":"noauth"},"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/qotd"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"question\": \"What are you going to develop today?\"\r\n}"}],"_postman_id":"0b4e18a6-34fd-4183-91fb-29e14ffdd927"}],"id":"7d50e4b9-1800-43f1-b059-ec100a9ef74e","description":"<p>Question of the Day</p>\n","_postman_id":"7d50e4b9-1800-43f1-b059-ec100a9ef74e","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}}},{"name":"Linked Roles","item":[{"name":"get decorative linked role","id":"5591aa95-ea54-4f30-9580-828d37da4867","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","description":"<p>Endpoint used for Discord's <code>Linked Roles Verification</code> and OAuth2 redirect.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n<tr>\n<td>settingsId</td>\n<td>integer</td>\n<td>the ID of the linked-role setting</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>code</td>\n<td>string?</td>\n<td><a href=\"https://discord.com/developers/docs/topics/oauth2#authorization-code-grant\">Discord's OAuth2 authorization code</a></td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"ba85de35-c8af-409b-8dc4-2398717f8c8d","id":"ba85de35-c8af-409b-8dc4-2398717f8c8d","name":"Linked Roles","type":"folder"}},"urlObject":{"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"code","value":"<string,null>"}],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"},{"type":"string","value":"<int>","key":"settingsId"}]}},"response":[{"id":"7fd939bd-25cf-4c12-9a29-b1940675c739","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>"}],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"},{"key":"settingsId","value":"<int>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"success\": true,\r\n    \"message\": \"foo, bar\"\r\n}"},{"id":"5386e75c-6800-4455-929b-2b90318ec09a","name":"Bad Request","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>","type":"text","id":0}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"},{"id":1,"key":"settingsId","value":"<int>","type":"string"}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"b737f203-ab4d-4e6b-bea7-328806f1c856","name":"Unauthorized","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>","type":"text","id":0}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"},{"id":1,"key":"settingsId","value":"<int>","type":"string"}]}},"status":"Unauthorized","code":401,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"acf6b0e3-aa8a-40f6-8093-00ee75268fd1","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>","type":"text","id":0}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"},{"id":1,"key":"settingsId","value":"<int>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"aa379c2d-2072-4743-ad19-01ba3d697f08","name":"Not Found","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>","type":"text","id":0}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"},{"id":1,"key":"settingsId","value":"<int>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"480be278-e1d4-4031-a738-230f951e6f86","name":"Failed Dependency","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/linked-roles/:settingsId/decoration?code=<string,null>","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","linked-roles",":settingsId","decoration"],"query":[{"key":"code","value":"<string,null>","type":"text","id":0}],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"},{"id":1,"key":"settingsId","value":"<int>","type":"string"}]}},"status":"Failed Dependency (WebDAV) (RFC 4918)","code":424,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"5591aa95-ea54-4f30-9580-828d37da4867"}],"id":"ba85de35-c8af-409b-8dc4-2398717f8c8d","auth":{"type":"noauth","isInherited":false},"event":[{"listen":"prerequest","script":{"id":"e104f0ab-0780-4327-b93c-b055290202c8","type":"text/javascript","packages":{},"exec":[""]}},{"listen":"test","script":{"id":"636294d0-3b75-4a1d-9a67-aa92fe268c89","type":"text/javascript","packages":{},"exec":[""]}}],"_postman_id":"ba85de35-c8af-409b-8dc4-2398717f8c8d","description":""},{"name":"Bot","item":[{"name":"get stats","id":"90cfa7d6-3e52-464c-8223-f0f915dc7eea","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/stats","description":"<p>Returns Ayakos guild and user count statistics.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildInstallCount</td>\n<td>integer</td>\n<td>the amount of guilds Ayako is installed in</td>\n</tr>\n<tr>\n<td>userInstallCount</td>\n<td>integer</td>\n<td>the amount of users Ayako is installed on</td>\n</tr>\n<tr>\n<td>userCount</td>\n<td>integer</td>\n<td>the amount of users Ayako can access across all guilds</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","stats"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"bb50f7cb-c1cd-416e-b81d-50055c5dc41f","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/stats"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"guildCount\": 5863,\r\n    \"userCount\": 466\r\n}"}],"_postman_id":"90cfa7d6-3e52-464c-8223-f0f915dc7eea"},{"name":"get reviews","id":"1783334a-1197-4588-9903-3b8754d2729b","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/reviews","description":"<p>Returns Ayakos Top.gg reviews.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>Review[]</code>.</p>\n<h4 id=\"review\">Review</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>userid</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the reviewers user ID</td>\n</tr>\n<tr>\n<td>score</td>\n<td>integer</td>\n<td>the reviews score in steps of 20 (100 = 5 stars, 20 = 1 star)</td>\n</tr>\n<tr>\n<td>content</td>\n<td>string</td>\n<td>the reviews content</td>\n</tr>\n<tr>\n<td>username</td>\n<td>string</td>\n<td>the reviewers name</td>\n</tr>\n<tr>\n<td>avatar</td>\n<td>string?</td>\n<td>a URL to the reviewers avatar</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","reviews"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"a75f2a11-8fd1-4f6c-a56a-0de1e8aa590e","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/reviews"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"userid\": \"318453143476371456\",\r\n        \"score\": 100,\r\n        \"content\": \"It's a bot\",\r\n        \"username\": \"Lars_und_so\",\r\n        \"avatar\": \"https://cdn.discordapp.com/avatars/318453143476371456/88210272e98a942384d69eaa3a9ae89c.webp\"\r\n    },\r\n    {\r\n        \"userid\": \"650691698409734151\",\r\n        \"score\": 80,\r\n        \"content\": \"It does bot things\",\r\n        \"username\": \"Ayako\",\r\n        \"avatar\": \"https://cdn.discordapp.com/avatars/650691698409734151/9ca4ad70d8ef529d31a3ec03923bddcb.webp\"\r\n    }\r\n]"}],"_postman_id":"1783334a-1197-4588-9903-3b8754d2729b"},{"name":"get features","id":"f53b00f9-cdb1-4f10-9bf6-a6103f40c240","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/features?blocks=<int>","description":"<p>Returns a list of Ayakos feature previews.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>blocks</td>\n<td>integer</td>\n<td>the amount of blocks to return the response in</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>Feature[][]</code>.</p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong><code>blocks</code></strong> <strong>Param Value In Request</strong></th>\n<th><strong>Response Body Type</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>3</td>\n<td>Feature[3][]</td>\n</tr>\n<tr>\n<td>2</td>\n<td>Feature[2][]</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"feature\">Feature</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>title</td>\n<td>string</td>\n<td>the features title</td>\n</tr>\n<tr>\n<td>subtitle</td>\n<td>string</td>\n<td>the features subtitle</td>\n</tr>\n<tr>\n<td>image</td>\n<td>string</td>\n<td>a relative URL to the features image</td>\n</tr>\n<tr>\n<td>placeholder</td>\n<td>string</td>\n<td>a relative URL to the features placeholder image</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","features"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"blocks","value":"<int>"}],"variable":[]}},"response":[{"id":"80ba3b34-0ea8-4b30-b165-63acfda5f195","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/bot/features?blocks=<int>","host":["https://api.ayakobot.com/v1"],"path":["bot","features"],"query":[{"key":"blocks","value":"<int>"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    [\r\n        {\r\n            \"title\": \"foo\",\r\n            \"subtitle\": \"bar\",\r\n            \"image\": \"baz.png\",\r\n            \"placeholder\": \"bum.png\"\r\n        },\r\n        {\r\n            \"title\": \"foo\",\r\n            \"subtitle\": \"bar\",\r\n            \"image\": \"baz.png\",\r\n            \"placeholder\": \"bum.png\"\r\n        }\r\n    ],\r\n    [\r\n        {\r\n            \"title\": \"foo\",\r\n            \"subtitle\": \"bar\",\r\n            \"image\": \"baz.png\",\r\n            \"placeholder\": \"bum.png\"\r\n        }\r\n    ]\r\n]"},{"id":"a866993f-cd79-459e-ad8f-af72ff709b3a","name":"Bad Request","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/bot/features?blocks=<int>","host":["https://api.ayakobot.com/v1"],"path":["bot","features"],"query":[{"key":"blocks","value":"<int>","type":"text","id":0}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"f53b00f9-cdb1-4f10-9bf6-a6103f40c240"},{"name":"get contributers","id":"568ce8be-26e4-40d7-b335-22b98d5f14de","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/contributers","description":"<p>Returns a list of Ayakos contributers.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<p>The reponse body will be of type <code>Contributer[]</code>.</p>\n<h4 id=\"contributer\">Contributer</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>userid</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the users ID</td>\n</tr>\n<tr>\n<td>roles</td>\n<td>string[]</td>\n<td>the users roles</td>\n</tr>\n<tr>\n<td>username</td>\n<td>string</td>\n<td>the users name</td>\n</tr>\n<tr>\n<td>avatar</td>\n<td>string?</td>\n<td>a URL to the users avatar</td>\n</tr>\n<tr>\n<td>socials</td>\n<td><a href=\"#4b0d3157-d85b-4933-88e1-c4ae6f7d34f3\">Social</a></td>\n<td>the users connected socials</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","contributers"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"b6cd018d-94f7-45fa-ab46-8db7e0323b4e","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/contributers"},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"userid\": \"318453143476371456\",\r\n        \"roles\": [\r\n            \"Ayako Creator\",\r\n            \"Ayako Host\",\r\n            \"Website Creator\",\r\n            \"Website Host\",\r\n            \"Website Designer\"\r\n        ],\r\n        \"username\": \"lars_und_so\",\r\n        \"avatar\": \"https://cdn.discordapp.com/avatars/318453143476371456/88210272e98a942384d69eaa3a9ae89c.webp\",\r\n        \"socials\": [\r\n            {\r\n                \"type\": \"GitHub\",\r\n                \"url\": \"https://github.com/Larsundso\"\r\n            }\r\n        ]\r\n    },\r\n    {\r\n        \"userid\": \"529804646030770178\",\r\n        \"roles\": [\r\n            \"Ayako Artist\",\r\n            \"Ayako Icon Artist\"\r\n        ],\r\n        \"username\": \"fuyurein\",\r\n        \"avatar\": \"https://cdn.discordapp.com/avatars/529804646030770178/01e1aa344de2d880262e53cd008cb54f.webp\",\r\n        \"socials\": [\r\n            {\r\n                \"type\": \"Instagram\",\r\n                \"url\": \"https://www.instagram.com/fuyurei\"\r\n            }\r\n        ]\r\n    },\r\n    {\r\n        \"userid\": \"267835618032222209\",\r\n        \"roles\": [\r\n            \"Ayako Artist\",\r\n            \"Ayako Emoji Artist\",\r\n            \"Website Creator\",\r\n            \"Website Designer\"\r\n        ],\r\n        \"username\": \"a.lilac\",\r\n        \"avatar\": \"https://cdn.discordapp.com/avatars/267835618032222209/d58f0114731950e4003327f2ac2a22bc.webp\",\r\n        \"socials\": [\r\n            {\r\n                \"type\": \"Twitter\",\r\n                \"url\": \"https://x.com/aqlilac\"\r\n            }\r\n        ]\r\n    }\r\n]"}],"_postman_id":"568ce8be-26e4-40d7-b335-22b98d5f14de"},{"name":"get artwork","id":"cd0e08ad-0b71-4265-9480-3227897056d1","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/artworks?q=<string,null>&type=<ArtType,null>","description":"<p>Returns a list of Ayakos artworks.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"query-params\">Query Params</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>q</td>\n<td>string?</td>\n<td>a query to filter the entries by</td>\n</tr>\n<tr>\n<td>type</td>\n<td><a href=\"https://docs.ayakobot.com/#a632f804-e951-4964-8aec-bf58b82c53e0\">ArtType</a>?</td>\n<td>the type of the artworks</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>user</td>\n<td>ArtUser</td>\n<td>the artworks author</td>\n</tr>\n<tr>\n<td>art</td>\n<td>Artwork</td>\n<td>the artwork</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"art-user\">Art User</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>username</td>\n<td>string</td>\n<td>the users username</td>\n</tr>\n<tr>\n<td>avatar</td>\n<td>string?</td>\n<td>a URL to the users avatar</td>\n</tr>\n<tr>\n<td>socials</td>\n<td><a href=\"https://docs.ayakobot.com/#a632f804-e951-4964-8aec-bf58b82c53e0\">Social</a>[]</td>\n<td>the users connected socials</td>\n</tr>\n</tbody>\n</table>\n</div><h4 id=\"artwork\">Artwork</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>url</td>\n<td>string</td>\n<td>a URL to the artworks image</td>\n</tr>\n<tr>\n<td>type</td>\n<td>ArtType</td>\n<td>the artworks type</td>\n</tr>\n<tr>\n<td>created</td>\n<td>integer</td>\n<td>the artworks upload unix time</td>\n</tr>\n<tr>\n<td>description</td>\n<td>string?</td>\n<td>the artworks description</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","artworks"],"host":["https://api.ayakobot.com/v1"],"query":[{"key":"q","value":"<string,null>"},{"id":1,"key":"type","value":"<ArtType,null>"}],"variable":[]}},"response":[{"id":"17c1cf0f-941d-443b-8a7a-e70d7151a649","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/bot/artworks?q=<string>&type=<'emoji','full','icon',null>","host":["https://api.ayakobot.com/v1"],"path":["bot","artworks"],"query":[{"key":"q","value":"<string>"},{"key":"type","value":"<'emoji','full','icon',null>"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"user\": {\r\n            \"username\": \"fuyurein\",\r\n            \"avatar\": \"https://cdn.discordapp.com/avatars/529804646030770178/01e1aa344de2d880262e53cd008cb54f.webp\",\r\n            \"socials\": [\r\n                {\r\n                    \"type\": \"Instagram\",\r\n                    \"url\": \"https://www.instagram.com/fuyurei\"\r\n                }\r\n            ]\r\n        },\r\n        \"art\": {\r\n            \"url\": \"peace.png\",\r\n            \"type\": \"full\",\r\n            \"created\": 1665401574928,\r\n            \"description\": null\r\n        }\r\n    },\r\n    {\r\n        \"user\": {\r\n            \"username\": \"a.lilac\",\r\n            \"avatar\": \"https://cdn.discordapp.com/avatars/267835618032222209/d58f0114731950e4003327f2ac2a22bc.webp\",\r\n            \"socials\": [\r\n                {\r\n                    \"type\": \"Twitter\",\r\n                    \"url\": \"https://x.com/aqlilac\"\r\n                }\r\n            ]\r\n        },\r\n        \"art\": {\r\n            \"url\": \"ayako.png\",\r\n            \"type\": \"full\",\r\n            \"created\": 1665401573936,\r\n            \"description\": null\r\n        }\r\n    },\r\n]"},{"id":"49ed082b-71c8-454c-901a-4737b6d86605","name":"Bad Request","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/bot/artworks?q=<string,null>&type=<'emoji','full','icon',null>","host":["https://api.ayakobot.com/v1"],"path":["bot","artworks"],"query":[{"key":"q","value":"<string,null>","type":"text","id":0},{"key":"type","value":"<'emoji','full','icon',null>","type":"text","id":1}]}},"status":"Bad Request","code":400,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"}],"_postman_id":"cd0e08ad-0b71-4265-9480-3227897056d1"},{"name":"get settings","id":"e85b1d21-daff-471e-bf18-8888a2b5069d","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/bot/settings","description":"<p>Returns a lists of Ayakos available settings.</p>\n<h3 id=\"response-body\">Response Body</h3>\n<p>The response body will be of type <code>Setting[]</code>.</p>\n<h3 id=\"setting\">Setting</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the name of the setting</td>\n</tr>\n<tr>\n<td>id</td>\n<td>string</td>\n<td>the id of the setting</td>\n</tr>\n<tr>\n<td>isMulti</td>\n<td>boolean</td>\n<td>whether a guild can have multiple of these settings</td>\n</tr>\n<tr>\n<td>category</td>\n<td>string</td>\n<td>the category of the setting</td>\n</tr>\n<tr>\n<td>description</td>\n<td>string</td>\n<td>short description of the setting</td>\n</tr>\n<tr>\n<td>explainDescription</td>\n<td>string</td>\n<td>undefined</td>\n</tr>\n<tr>\n<td>fields</td>\n<td>SettingsField[]</td>\n<td>the fields of the setting</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"settingsfield\">SettingsField</h3>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>Key</th>\n<th>Value Type</th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>type</td>\n<td>SettingsType</td>\n<td>the type of the field</td>\n</tr>\n<tr>\n<td>name</td>\n<td>string</td>\n<td>the name of the field</td>\n</tr>\n<tr>\n<td>description</td>\n<td>string</td>\n<td>the description of the field</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"noauth","isInherited":true,"source":{"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","name":"Bot","type":"folder"}},"urlObject":{"path":["bot","settings"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[]}},"response":[{"id":"657f1311-d8fe-49c0-85fa-d32d5f49af93","name":"OK","originalRequest":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/v1/bot/settings"},"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"[\n    {\n        \"name\": \"General\",\n        \"id\": \"general\",\n        \"isMulti\": false,\n        \"category\": \"moderation\",\n        \"description\": \"General moderation settings\",\n        \"explainDescription\": \"General settings for moderation, such as enabling or disabling certain features or setting up rules for the bot.\",\n        \"fields\": [\n            {\n                \"type\": \"message\",\n                \"name\": \"Welcome Message\",\n                \"description\": \"Welcome message sent to new users\"\n            }\n        ]\n    }\n]"}],"_postman_id":"e85b1d21-daff-471e-bf18-8888a2b5069d"}],"id":"f69c86ae-ffbb-480d-8374-0f90e18e9216","description":"<p>Endpoints related to Ayako</p>\n","auth":{"type":"noauth","isInherited":false},"_postman_id":"f69c86ae-ffbb-480d-8374-0f90e18e9216"},{"name":"Settings","item":[{"name":"get appeal questions","id":"594667ed-fcb0-4d09-94f4-0797cae69674","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[],"url":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","description":"<p>Returns a list of the guilds appeal questions.</p>\n<h3 id=\"request\">Request</h3>\n<h4 id=\"path-variables\">Path Variables</h4>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildId</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the ID of the guild</td>\n</tr>\n</tbody>\n</table>\n</div><h3 id=\"response-body\">Response Body</h3>\n<p>The response will be of type <code>AppealQuestion[]</code>.</p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th><strong>Key</strong></th>\n<th><strong>Value Type</strong></th>\n<th><strong>Value Description</strong></th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>guildid</td>\n<td><a href=\"https://discord.com/developers/docs/reference#snowflakes\">Snowflake</a></td>\n<td>the questions guild ID</td>\n</tr>\n<tr>\n<td>id</td>\n<td>integer</td>\n<td>the questions ID</td>\n</tr>\n<tr>\n<td>active</td>\n<td>boolean</td>\n<td>whether the question is enabled</td>\n</tr>\n<tr>\n<td>question</td>\n<td>string</td>\n<td>the question</td>\n</tr>\n<tr>\n<td>answertype</td>\n<td>AnswerType</td>\n<td>the questions answer type</td>\n</tr>\n<tr>\n<td>required</td>\n<td>boolean</td>\n<td>whether the questions answer is required</td>\n</tr>\n<tr>\n<td>options</td>\n<td>string[]</td>\n<td>a multi- and single-choice questions options</td>\n</tr>\n</tbody>\n</table>\n</div>","auth":{"type":"apikey","apikey":{"basicConfig":[{"key":"key","value":"Authorization"},{"key":"value","value":"Bearer <value>"}]},"isInherited":true,"source":{"_postman_id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","id":"ef8c7f20-c699-42e6-bf2d-724feac5d521","name":"Ayako API","type":"collection"}},"urlObject":{"path":["guilds",":guildId","settings","appeal-questions"],"host":["https://api.ayakobot.com/v1"],"query":[],"variable":[{"type":"string","value":"<snowflake>","key":"guildId"}]}},"response":[{"id":"4a9a16d9-e00f-447b-9c14-c86a97570675","name":"OK","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"OK","code":200,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"[\r\n    {\r\n        \"guildid\": \"298954459172700181\",\r\n        \"id\": 1716238435819,\r\n        \"active\": true,\r\n        \"question\": \"How will you improve your Behaviour in the Future?\",\r\n        \"answertype\": \"paragraph\",\r\n        \"required\": true,\r\n        \"options\": []\r\n    },\r\n    {\r\n        \"guildid\": \"298954459172700181\",\r\n        \"id\": 1716238435817,\r\n        \"active\": true,\r\n        \"question\": \"What do you want to appeal?\",\r\n        \"answertype\": \"multiple_choice\",\r\n        \"required\": false,\r\n        \"options\": [\"A Channel-Ban\", \"A Ban\"]\r\n    }\r\n]"},{"id":"2a29689b-72e2-4f3e-9201-4af99c3bfca8","name":"Not Found","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Not Found","code":404,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"06d6e5b8-e465-4048-b6a2-5a9f8873017e","name":"Forbidden","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":[{"id":0,"key":"guildId","value":"<snowflake>","type":"string"}]}},"status":"Forbidden","code":403,"_postman_previewlanguage":"JSON","header":null,"cookie":[],"responseTime":null,"body":"{\r\n    \"message\": \"<string>\"\r\n}"},{"id":"ef8eb081-7ec3-49a6-95c1-2b2a308329ea","name":"Unauthorized","originalRequest":{"method":"GET","header":[],"url":{"raw":"https://api.ayakobot.com/v1/guilds/:guildId/settings/appeal-questions","host":["https://api.ayakobot.com/v1"],"path":["guilds",":guildId","settings","appeal-questions"],"variable":
[...]
